--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: []

  name: gen
  rw: R
- !ruby/object:RI::Attribute 
  comment: []

  name: id
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_buffer
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An internal PDF::Reader class that represents an indirect reference to a PDF Object
constants: []

full_name: PDF::Reader::Reference
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: to_a
name: Reference
superclass: Object
